{ config, lib, pkgs, ... }:

let cfg = config.jade.desktop.cloud;
in with lib; {
  options.jade.desktop.cloud = {
    enable = mkEnableOption "Enable cloud things";
  };
  config = mkIf cfg.enable {
    home-manager.users.jade = { pkgs, ... }: {
      services.nextcloud-client = {
        enable = true;
        startInBackground = true;
      };
      programs.rbw = {
        enable = true;
        settings = {
          base_url = "vw.schrottkatze.de";
          email = "jade@schrottkatze.de";
        };
      };
      home.packages = with pkgs; [
        fluent-reader 
        bitwarden 
        rofi-rbw
      ];
      xsession.windowManager.i3.config.startup = [
        { 
          command = "bitwarden"; 
        }
      ];
    };
  };
}
